%define	name	cel
%define	version	1.0
%define	release	%mkrel 1

Summary:	Crystal Entity Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source0:	%{name}-src-%{version}.tar.bz2
Patch0:		cel-1.0-x86_64-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.sourceforge.net/projects/cel/
BuildRequires:	jam crystalspace-devel >= 1.0 python-devel cppunit-devel
BuildRequires:	zlib-devel

%description
Crystal Entity Layer (CEL) is a game entity layer based on Crystal Space.
It makes it easier for game developers to create games based on Crystal Space.
CEL can optionally be used together with Python or other scripting languages.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{version}

%description	devel
Development headers and libraries for %{name}

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1 -b .x86_64

%build
./autogen.sh
perl -pi -e "s#cspycommon##g" configure
%configure	--disable-separate-debug-info
jam %{_smp_mflags}

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam -d2 install

sed -i -e "s#/lib/#/%{_lib}/#g" %{buildroot}%{_bindir}/cel-config

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs/todo.txt docs/history.txt
%{_bindir}/*
%exclude %{_bindir}/cel.cex
%exclude %{_bindir}/%{name}-config
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.cfg
%{_bindir}/%{name}tst
%{_bindir}/bootstrap
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files devel
%defattr(-,root,root)
%{_bindir}/cel.cex
%{_bindir}/%{name}-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.a


%changelog
* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdv2007.0
+ Revision: 111832
- fix build on x86_64 (P0)
- buildrequires on zlib-devel (??)
- new release: 1.0
  clean out old junk
  lib64 fix for cel-config
- Import cel



* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.2mdk
- gah, headers went in the wrong place

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.1mdk
- new cvs snapshot
- fix buildrequires
- drop P0

* Thu Jan 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.2mdk
- fix compile of dynmove plugin (P0)

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.1mdk
- new cvs snapshot
- fix buildrequires (lib64..)
- fix second %%install error
- use %%configure macro
- skip compilation of dynmove plugin, it won't compile:\
- fix install variables

* Thu May 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.2mdk
- fix path in cel-config script
- reduce verbosity while building

* Thu May 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.1mdk
- initial mdk release
